package com.adealink.weparty.wallet.viewmodel

import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.frame.mvvm.viewmodel.BaseViewModel
import com.adealink.weparty.App
import com.adealink.weparty.wallet.datasource.remote.WalletHttpService

class WalletDetailViewModel : BaseViewModel() {

    private val walletHttpService by lazy {
        App.instance.networkService.getHttpService(WalletHttpService::class.java)
    }

    val onDetailDateChangedLD = ExtMutableLiveData<Pair<Long, Long>>()

    fun changedDate(fromkTs: Long, endTs: Long) {
        onDetailDateChangedLD.send(Pair(fromkTs, endTs))
    }

}